<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Veranstalter\DozentenInfo\Detailsreiter\Kurse\PdfListen\DruckListen\ShowSettingsDruckListen;


class ShowSettingsDruckListenController extends \Kufer\KuferTools\Basis\Controller\AjaxToolController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new ShowSettingsDruckListenUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    
    $requestObj = new ShowSettingsDruckListenRequest();
    
    
    $requestObj->kursIds = explode(':', \RequestOperations::getVarValue('nr', ''));
    $requestObj->listName = \RequestOperations::getVarValue('liste', ''); 
    $requestObj->dnr = \GetOperations::getVarValue('dnr', -1);

    return $requestObj;
  }

  
  protected function getPresenter($pUseCaseResponse)
  {
    return new ShowSettingsDruckListenPresenter($pUseCaseResponse);
  }
}